/*
 * prism2dump v0.01 [decode_ctl.c]
 * by h1kari - (c) Dachb0den Labs 2001
 */

/*
 * Copyright (c) 2001 Dachb0den Labs.
 *      David Hulton <h1kari@dachb0den.com>.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by David Hulton.
 * 4. Neither the name of the author nor the names of any co-contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY David Hulton AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL David Hulton OR THE VOICES IN HIS HEAD
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <stdio.h>
#include <sys/types.h>

#include <pcap.h>

#ifdef __FreeBSD__
#include <dev/wi/if_wavelan_ieee.h>
#else
#ifdef __OpenBSD__
#include <dev/ic/if_wi_ieee.h>
#endif
#endif

#include "prism2dump.h"


void
decode_ctl_pspoll(struct wi_rx_frame *wi_h, u_char *data)
{
  printsol(1);
  printf("** ctl-pspoll **");
  printsol(1);

  return;
}

void
decode_ctl_rts(struct wi_rx_frame *wi_h, u_char *data)
{
  printsol(1);
  printf("** ctl-rts **");
  printeol(1);

  return;
}

void
decode_ctl_cfend(struct wi_rx_frame *wi_h, u_char *data)
{
  printsol(1);
  printf("** ctl-cfend **");
  printeol(1);

  return;
}

void
decode_ctl_cfendcfack(struct wi_rx_frame *wi_h, u_char *data)
{
  printsol(1);
  printf("** ctl-cfendcfack **");
  printeol(1);

  return;
}

void
decode_ctl_cts(struct wi_rx_frame *wi_h, u_char *data)
{
  printsol(1);
  printf("** ctl-cts **");
  printeol(1);

  return;
}

void
decode_ctl_ack(struct wi_rx_frame *wi_h, u_char *data)
{
  printsol(1);
  printf("** ctl-ack **");
  printeol(1);
 
  return;
}
