#include <stdlib.h>

#include <libwnet.h>

#define PKT_SIZE 4096
int
main(int argc, char *argv[])
{
  int off = 0;
  u_char *pkt;
  u_char me[6] = { 0x00, 0x12, 0x34, 0x56, 0x78, 0x90 };
  u_char bcast[6] = { 0xff, 0xff, 0xff, 0xff, 0xff, 0xff };
  u_char nil[6] = { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };

  pkt = malloc(PKT_SIZE);

  off += build_80211(IEEE80211_FC0_VERSION_0 | IEEE80211_FC0_TYPE_MGT |
   IEEE80211_FC0_SUBTYPE_BEACON, 0x8000, bcast, me, me, 0, nil, pkt + off,
   PKT_SIZE - off);
  off += build_mgmt_beacon(0, 0, 100, IEEE80211_CAPINFO_ESS |
   IEEE80211_CAPINFO_PRIVACY, pkt + off, PKT_SIZE - off);
  off += build_mgmt_field_ssid("BLOOP\0", 6, pkt + off, PKT_SIZE - off);
  off += build_mgmt_field_srates("\x82\x84\x8b\x96\xac", 5, pkt + off,
   PKT_SIZE - off);
  off += build_mgmt_field_dsparm(6, pkt + off, PKT_SIZE - off);
  off += build_mgmt_field_tim(0, 2, 0, "\x0d\xfb\xf5\x65", 4, pkt + off,
   PKT_SIZE - off);

  inject_80211("wi0", pkt, off);

  exit(0);
}
